/*
  Message format for schemas.
*/
package drizzled.message;
option optimize_for = SPEED;

option java_package = "org.drizzle.messages";
option java_outer_classname = "SchemaMessage";

import "engine.proto";
import "access.proto";
import "replication_options.proto";

message Schema {
  message Options {
  }
  required string name = 1;
  optional string collation = 2;
  required Engine engine = 3;
  optional string catalog = 4;
  required uint64 creation_timestamp= 11 [default = 0];
  required uint64 update_timestamp= 12 [default = 0];
  optional string uuid = 13;
  /*
    A version value of 0, means that it was never set.
    */
  optional uint64 version = 14;
  optional Options options = 15;
  optional ReplicationOptions replication_options= 16;
  optional Access access= 17;
}
